package com.trade.common.validate;

public class ValidatorGroup {
    public enum ValidatorType {
        ADD,
        UPDATE,
        SUBMIT,
        ;

        public Class<?> getCls() {
            switch (this) {
                case ADD:
                    return Add.class;
                case UPDATE:
                    return Update.class;
                case SUBMIT:
                    return Submit.class;
                default:
                    return null;
            }
        }
    }

    public interface Add {
    }

    public interface Update {
    }

    public interface Submit {
    }

}
